SystemOrganization addCategory: #'JQueryMobile-Decorations'!

WADecoration subclass: #JQMIOSHomescreenBookmarkDecorator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Decorations'!

!JQMIOSHomescreenBookmarkDecorator methodsFor: 'updating' stamp: 'NickAger 11/2/2011 14:55'!
addIOSAppMetaOn: anHtmlRoot
	"http://developer.apple.com/library/safari/#documentation/appleapplications/reference/SafariHTMLRef/Articles/MetaTags.html"
	anHtmlRoot meta name: 'apple-mobile-web-app-capable'; content: 'yes'.! !

!JQMIOSHomescreenBookmarkDecorator methodsFor: 'updating' stamp: 'NickAger 11/2/2011 14:55'!
addIOSBookmarkIconOn: anHtmlRoot
	"http://developer.apple.com/library/IOS/#documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html"
	
	"default home screen icon 57 x 57 transparent png"
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		url: JQMTestsFileLibrary / #seaside57x57Png.
		
	"72x72 for iPad "
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		attributeAt: 'sizes' put: '72x72';
		url: JQMTestsFileLibrary / #seaside72x72Png.
		
	"114x144 for iPhone 4"
	anHtmlRoot link
		relationship: 'apple-touch-icon';
		attributeAt: 'sizes' put: '114x114';
		url: JQMTestsFileLibrary / #seaside114x114Png! !

!JQMIOSHomescreenBookmarkDecorator methodsFor: 'updating' stamp: 'NickAger 11/2/2011 14:55'!
addIOSStartupImage: anHtmlRoot
	"http://developer.apple.com/library/safari/#documentation/appleapplications/reference/SafariHTMLRef/Articles/MetaTags.html"
	
	"good overview - https://gist.github.com/472519"
	
	"startup image for web apps - iPad - landscape (748x1024) 
	Note: iPad landscape startup image has to be exactly 748x1024 pixels (portrait, with contents rotated)"
	anHtmlRoot link
		relationship: 'apple-touch-startup-image';
		url: JQMTestsFileLibrary / #seasideSplashiPadLandscapePng;
		media: 'screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:landscape)'.

	"startup image for web apps - iPad - portrait (768x1004)"
	anHtmlRoot link
		relationship: 'apple-touch-startup-image';
		url: JQMTestsFileLibrary / #seasideSplashiPadPortraitPng;
		media: 'screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:portrait)'.
	
	"startup image for web apps (320x460)"
	anHtmlRoot link
		relationship: 'apple-touch-startup-image';
		url: JQMTestsFileLibrary / #seasideSplashPng;
		media: 'screen and (max-device-width: 320px)'.
! !

!JQMIOSHomescreenBookmarkDecorator methodsFor: 'updating' stamp: 'NickAger 11/2/2011 16:02'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	
	"Good overview - https://gist.github.com/472519"
	self addIOSAppMetaOn: anHtmlRoot.
	self addIOSBookmarkIconOn: anHtmlRoot.
	self addIOSStartupImage: anHtmlRoot.! !

!GRPackage class methodsFor: '*jquerymobile-decorations' stamp: 'NickAger 11/2/2011 16:23'!
jQueryMobileDecorations
	^ self new
		name: 'JQueryMobile-Decorations';
		description: 'The jQueryMobile decorations';
		addDependency: 'Seaside-Component';
		url: #seasideUrl;
		yourself! !
